#!/bin/sh
#
# $Id$
#
# Migrate karaf keys.properties to sshd's authorized_keys
#

kp_dir=/etc/osgi-runner/karaf.d
kp_file=$kp_dir/keys.properties
hk_file=$kp_dir/host.key
ak_dir=/etc/osgi-runner/sshd.d
ak_file=$ak_dir/authorized_keys
hk_file2=$ak_dir/host.key

OSGI_CP=

for jar in /usr/share/osgi-runner/lib/osgi-runner-*.jar
do
    test -f $jar || continue
    OSGI_CP=${OSGI_CP:+$OSGI_CP:}$jar
done

if test -d $kp_dir
then
	if test -f $kp_file
	then
		if test -f $ak_file
		then
			echo $ak_file already exists, not migrating $kp_file
		else
			java -cp $OSGI_CP org.clazzes.osgi.runner.MigrateKeysProperties $kp_dir $ak_dir
		fi
	else
		echo $kp_file does not exist, no ssh keys to migrate.
	fi
	
	if test -f $hk_file
	then
		if test -f $hk_file2
		then
			echo $hk_file2 already exists, not migrating $hk_file
		else
			echo Moving $hk_file to $hk_file2
			mv $hk_file $hk_file2
		fi
	else
		echo $hk_file does not exist, no host key to migrate.
	fi

	echo Moving $kp_dir to $kp_dir.save
	mv $kp_dir $kp_dir.save
fi
